.TH sphinx\-autogen 1 "Sep 2014" "Sphinx 1.2.3" "User Commands"

.SH NAME
sphinx\-autogen \- generate reStructuredText using \fBautosummary\fR
directives

.SH SYNOPSIS
.B sphinx\-autogen
[\-o \fIoutput_dir\fR]
[\-s \fIsuffix\fR]
.BI sourcefile ...

.SH OPTIONS
.TP
\fB\-o\fR, \fB--output-dir=\fIoutput_dir\fR, 
the directory the output files should be written to
.TP
\fB\-s\fR, \fB--suffix=\fIsuffix\fR
the suffix of the written files (defaults to rst)
.TP
\fB\-t\fR, \fB--templates=\fIdirectory\fR
custom template directory

.SH DESCRIPTION
.B sphinx\-autogen
is a frontend to \fBsphinx.ext.autosummary.generate\fR.
It generates the ReStructuredText files from the \fBautosummary\fR
directives contained in the given input files.

The format of the \fBautosummary\fR directive is documented in the
\fBsphinx.ext.autosummary\fR Python module and can be read using

.B pydoc
.I sphinx.ext.autosummary

.SH SEE ALSO
\fBsphinx\-quickstart\fR(1),
\fBsphinx\-build\fR(1)

.mso www.tmac
.URL "http://sphinx-doc.org/" "The Sphinx website"

.SH AUTHOR
This man page was written by Jan Dittberner <jan@dittberner.info> for
the Debian project (but may be used by others).
